<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="btnAcrossPageName">
  <button nz-button nzType="default" (click)="onCancel()">{{'partnership.pns-contract.label.cancel' | translate}}</button>

  <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
             (click)='onSave()'
             *ngIf='!isDetail'
             mbButtonText="{{'partnership.pns-contract.label.save' | translate}}"></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
  <app-personal-info [employeeId]='employeeId' [isShowEmpType]='false'></app-personal-info>

  <form nz-form [formGroup]='form' style='margin-top: 25px'>
    <!--Thông tin HĐ hiện tại-->
    <div nz-row [nzGutter]='[30,0]'>
      <div class='input__group' nz-col nzLg='24' nzXs='24'>
        <label class="input__label">{{'partnership.pns-contract.label.curContract' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='9'>
        <mb-select [mbDataSelects]='listContractType'
                   formControlName='curContractTypeId'
                   [mbDisable]='true'
                   mbPlaceholder="{{'partnership.pns-contract.label.contractTypeName' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.contractTypeName' | translate}}"></mb-select>
      </div>

      <!--Số hợp đồng-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-input-text formControlName='curContractNumber' [mbMaxLength]='50'
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.contractNumber' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.contractNumber' | translate}}"></mb-input-text>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-date-picker
          formControlName="curFromDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-date-picker
          formControlName="curToDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
        ></mb-date-picker>
      </div>
    </div>

    <!--Thông tin phụ lục hợp đồng-->
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.addendumContract' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Loại phụ lục HĐ-->
      <div nz-col nzXs='12' nzLg='9'>
        <mb-select [mbDataSelects]='listAddendumContract'
                   formControlName='contractTypeId'
                   [mbDisable]='true'
                   mbPlaceholder="{{'partnership.pns-contract.label.addendumContractType' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.addendumContractType' | translate}}"></mb-select>
      </div>

      <!--Số phụ lục-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-input-text formControlName='contractNumber' [mbMaxLength]='50'
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.addendumNumber' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.addendumNumber' | translate}}"></mb-input-text>
      </div>

      <!--Mức lương-->
      <div nz-col nzXs='12' nzLg='5' class='salary__info'>
        <mb-input-text formControlName='amountSalary'
                       [mbMaxLength]='15'
                       [mbDisable]='true'
                       mbSuffixTemplate="VNĐ"
                       mbPlaceholderText="{{'partnership.pns-contract.label.salaryAmount' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.salaryAmount' | translate}}"></mb-input-text>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-date-picker
          formControlName="fromDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
        ></mb-date-picker>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.signerInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Người ký-->
      <div nz-col nzXs="12" nzLg="8" class="{{isDetail ? 'select__employee select__employee-disabled' : 'select__employee' }}">
        <employee-data-picker
          [mbCanText]="true"
          formControlName="signer"
          status='WORKING'
          [mbDisable]='isDetail'
          [mbType]="isSubmitted && form.controls['signer'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['signer'].errors !== null"
          [mbErrors]="form.controls['signer'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.signerName' | translate }}]"
          mbLabelText="{{'partnership.pns-contract.label.signerName' | translate}} <span class='label__required'>*</span>"
        >
        </employee-data-picker>
      </div>

      <!--Chức danh người ký-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='signerPosition'
                       [mbMaxLength]='200'
                       [mbDisable]='isDetail'
                       mbPlaceholderText="{{'partnership.pns-contract.label.signerPosition' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.signerPosition' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='delegacyNo'
                       [mbMaxLength]='200'
                       [mbDisable]='isDetail'
                       mbPlaceholderText="{{'partnership.pns-contract.label.delegacyNo' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.delegacyNo' | translate}}"></mb-input-text>
      </div>
    </div>

  </form>
</div>
